Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ToggleButtonSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::ToggleButton. More...

`#include <xfc/gtk/togglebuttonsignals.hh>`

Inheritance diagram for Xfc::Gtk::ToggleButtonSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_toggled ()
    Called whenever the toggle button's state is changed.

## Protected Member Functions

Constructors

- ToggleButtonSignals (ToggleButton *toggle_button)
    Constructs a new ToggleButtonSignals object.
- virtual ~ToggleButtonSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::ToggleButton.

## Constructor & Destructor Documentation

Xfc::Gtk::ToggleButtonSignals::ToggleButtonSignals | ( | ToggleButton * | toggle_button | ) | `[protected]`

Constructs a new ToggleButtonSignals object.

Parameters:

  | toggle_button | A ToggleButton object inheriting the ToggleButtonSignals implementation.

The documentation for this class was generated from the following file:

- togglebuttonsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3